Package org.apache.sysds.hops.fedplanner

# Enum Class FTypes.Privacy

java.lang.Object
java.lang.Enum<FTypes.Privacy>
org.apache.sysds.hops.fedplanner.FTypes.Privacy

All Implemented Interfaces:
  `Serializable`, `Comparable<FTypes.Privacy>`, `Constable`

Enclosing class:
  FTypes

public static enum FTypes.Privacy extends Enum<FTypes.Privacy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PRIVATE`
`PRIVATE_AGGREGATE`
`PUBLIC`

## Method Summary

Modifier and Type
Method
Description
`static FTypes.Privacy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FTypes.Privacy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRIVATE

public static final FTypes.Privacy PRIVATE

### PRIVATE_AGGREGATE

public static final FTypes.Privacy PRIVATE_AGGREGATE

### PUBLIC

public static final FTypes.Privacy PUBLIC

## Method Details

### values

public static FTypes.Privacy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FTypes.Privacy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null